QuantLib: TreeCallableFixedRateBondEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

List of all members
TreeCallableFixedRateBondEngine Class Reference

Numerical lattice engine for callable fixed rate bonds. More...

`#include <ql/experimental/callablebonds/treecallablebondengine.hpp>`

Inheritance diagram for TreeCallableFixedRateBondEngine:
[legend]

## Constructors
Note the term structure is only needed when the short-rate model cannot provide one itself.
| TreeCallableFixedRateBondEngine (const ext::shared_ptr< ShortRateModel > &, Size timeSteps, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
| TreeCallableFixedRateBondEngine (const ext::shared_ptr< ShortRateModel > &, const TimeGrid &timeGrid, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
void | calculate () const

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Public Member Functions inherited from LatticeShortRateModelEngine< CallableBond::arguments, CallableBond::results >
| LatticeShortRateModelEngine (const ext::shared_ptr< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const Handle< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const ext::shared_ptr< ShortRateModel > &model, const TimeGrid &timeGrid)
void | update ()
Public Member Functions inherited from GenericModelEngine< ShortRateModel, CallableBond::arguments, CallableBond::results >
| GenericModelEngine (const Handle< ShortRateModel > &model=Handle< ShortRateModel >())
| GenericModelEngine (const ext::shared_ptr< ShortRateModel > &model)
Public Member Functions inherited from GenericEngine< CallableBond::arguments, CallableBond::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Protected Attributes inherited from LatticeShortRateModelEngine< CallableBond::arguments, CallableBond::results >
TimeGrid | timeGrid_
Size | timeSteps_
ext::shared_ptr< Lattice > | lattice_
Protected Attributes inherited from GenericModelEngine< ShortRateModel, CallableBond::arguments, CallableBond::results >
Handle< ShortRateModel > | model_
Protected Attributes inherited from GenericEngine< CallableBond::arguments, CallableBond::results >
CallableBond::arguments | arguments_
CallableBond::results | results_

## Detailed Description

Numerical lattice engine for callable fixed rate bonds.

Examples
  CallableBonds.cpp.